<?php

$options = [
	blocksy_rand_md5() => [
		'title' => __( 'General', 'blocksy' ),
		'type' => 'tab',
		'options' => [

			'account_link' => [
				'label' => __( 'Logged in link', 'blocksy' ),
				'type' => 'ct-select',
				'value' => 'profile',
				'view' => 'text',
				'design' => 'inline',
				'setting' => [ 'transport' => 'postMessage' ],
				'choices' => blocksy_ordered_keys(
					[
						'profile' => __( 'Profile Page', 'blocksy' ),
						'dashboard' => __( 'Dashboard Page', 'blocksy' ),
						'custom' => __( 'Custom Page', 'blocksy' ),
					]
				),
			],

			blocksy_rand_md5() => [
				'type' => 'ct-condition',
				'condition' => [ 'account_link' => 'custom' ],
				'options' => [

					'account_custom_page' => [
						'label' => false,
						'desc' => __( 'Specify the link to a custom page.', 'blocksy' ),
						'type' => 'text',
						'design' => 'block',
						'disableRevertButton' => true,
						'setting' => [ 'transport' => 'postMessage' ],
						'value' => ''
					],

				],
			],

			blocksy_rand_md5() => [
				'type' => 'ct-divider',
			],

			'accountHeaderIconSize' => [
				'label' => __( 'Icon Size', 'blocksy' ),
				'type' => 'ct-slider',
				'min' => 5,
				'max' => 50,
				'value' => 15,
				'responsive' => true,
				'setting' => [ 'transport' => 'postMessage' ],
			],

			'accountHeaderAvatarSize' => [
				'label' => __( 'Avatar Size', 'blocksy' ),
				'type' => 'ct-slider',
				'min' => 10,
				'max' => 40,
				'value' => 18,
				'divider' => 'top',
				'responsive' => true,
				'setting' => [ 'transport' => 'postMessage' ],
			],

			'has_account_label' => [
				'label' => __( 'Account Label', 'blocksy' ),
				'type' => 'ct-switch',
				'value' => 'no',
				'divider' => 'top',
				'setting' => [ 'transport' => 'postMessage' ],
			],

		],
	],

	blocksy_rand_md5() => [
		'title' => __( 'Design', 'blocksy' ),
		'type' => 'tab',
		'options' => [

			'accountHeaderColor' => [
				'label' => __( 'Content Color', 'blocksy' ),
				'type'  => 'ct-color-picker',
				'design' => 'block:right',
				'divider' => 'bottom',
				'responsive' => true,
				'setting' => [ 'transport' => 'postMessage' ],

				'value' => [
					'default' => [
						'color' => 'var(--color)',
					],

					'hover' => [
						'color' => Blocksy_Css_Injector::get_skip_rule_keyword('DEFAULT'),
					],
				],

				'pickers' => [
					[
						'title' => __( 'Initial', 'blocksy' ),
						'id' => 'default',
					],

					[
						'title' => __( 'Hover', 'blocksy' ),
						'id' => 'hover',
						'inherit' => 'var(--linkHoverColor)'
					],
				],
			],

			'accountHeaderMargin' => [
				'label' => __( 'Item Margin', 'blocksy' ),
				'type' => 'ct-spacing',
				'setting' => [ 'transport' => 'postMessage' ],
				'value' => blocksy_spacing_value([
					'linked' => true,
				]),
				'responsive' => true
			],

			'accountHeaderBackground' => [
				'label' => __( 'Modal Background', 'blocksy' ),
				'type'  => 'ct-background',
				'design' => 'inline',
				'divider' => 'top',
				'setting' => [ 'transport' => 'postMessage' ],
				'value' => blocksy_background_default_value([
					'backgroundColor' => [
						'default' => [
							'color' => 'rgba(18, 21, 25, 0.7)'
						],
					],
				])
			],

		],
	],
];
